# 22. Virtuoso Functions Guide - vector_concat

Chapter Contents | Prev | Next
Keyword Search:
www.openlinksw.com
docs.openlinksw.com
Book Home
Contents
Preface
Virtuoso Functions Guide
Administration
Aggregate Functions
Array Manipulation
aref
aset
concat
concatenate
dvector
get_keyword
get_keyword_ucase
isarray
make_array
position
serialize
split_and_decode
tree_md5
vector
vector_concat
BPEL APIs
Backup
Compression
Cursor
Date & Time Manipulation
Debug
Dictionary Manipulation
Encoding & Decoding
File Manipulation
Free Text
Hashing / Cryptographic
LDAP
Locale
Mail
Miscellaneous
Number
Remote SQL Data Source
Replication
SOAP
SQL
String
Transaction
Type Mapping
UDDI
User Defined Types & The CLR
Virtuoso Java PL API
Virtuoso Server Extension Interface (VSEI)
Web Server & Internet
XML
XPATH & XQUERY
Functions Index

## vector_concat

concatenate vectors
vector vector_concat ( vec1 vector, vec2 vector, ... , vec-n vector);
Parameters
vec1..n – vector.
Return Values

A vector made of copies of elements contained in vec1..n.

Description

vector_concat takes a variable number of vectors (heterogeneous arrays) and constructs a new vector containing copies of each (top level) element in the arguments.

Examples

    dbg_obj_print (vector_concat (vector (now(), 'black', 'crow'),
    	                      vector ('said', 'nevermore')));

    dbg_obj_print (vector_concat (vector ('a','b'),
                                  vector (vector ('c', 'd'), 'e')));

Would output something like this on the Virtuoso console:

    ({ts 2001-08-07 16:57:12.000000}  "black" "crow" "said" "nevermore" )
    ("a" "b" ("c" "d" ) "e" )

See Also

aset aref vector